@ECHO OFF

REM Bildschirmausgabe

 
@ECHO Ŀ
@ECHO                       WinSID 1.3 Installation                        
@ECHO ĳ
@ECHO  Diese Batchdatei installiert WinSID auf Ihrer Festplatte.           
@ECHO  Dazu mu Install mit zwei Parametern aufgerufen werden:             
@ECHO                                                                      
@ECHO  1. Die Kennung des Laufwerks, in dem diese Diskette liegt (a: b:)   
@ECHO" 2. Laufwerkskennung und Pfad zu dem Verzeichnis, in das WinSID      
@ECHO     installiert werden soll.                                         
@ECHO                                                                      
@ECHO" Beispiel:   A:\>install a: c:\winsid                                
@ECHO                                                                      
@ECHO  In diesem Beispiel wird das Programm von der Diskette in Laufwerk A:
@ECHO  auf die Festplatte C: in das Verzeichnis WINSID kopiert.            
@ECHO                                                                      
@ECHO  Sie knnen das Programm natrlich auf "von Hand" installieren.      
@ECHO  Beachten Sie dabei das Unterverzeichnis ETC, das sich im WinSID-    
@ECHO  Verzeichnis befinden sollte.                                        
@ECHO 

IF "%1" == "" GOTO abbruch
IF "%2" == "" GOTO abbruch

IF NOT DIREXIST %2 MD %2

IF errorlevel 0 GOTO weiter

@ECHO Beim Anlegen des neuen Verzeichnisses ist ein Fehler aufgetreten.
@ECHO Bitte prfen Sie, ob das angegebene Laufwerk und der Pfad korrekt 
@ECHO angegeben wurde.
GOTO abbruch

:weiter

XCOPY %1*.* %2 /h /s /v

IF errorlevel 0 GOTO fertig

@ECHO Beim Kopieren der Dateien ist ein Fehler aufgetreten.
@ECHO Bitte prfen Sie, ob der angegebene Laufwerksbuchstabe (A: oder B:,
@ECHO Doppelpunkt nicht vergessen) korrekt ist.
@ECHO Wenn ja, knnte auch der Platz auf Ihrer Festplatte nicht ausreichen.

GOTO abbruch

:fertig

@ECHO Ŀ
@ECHO                Installation erfolgreich beendet !                    
@ECHO                                                                      
@ECHO  WinSID ist jetzt auf Ihrer Festplatte installiert. Um es unter      
@ECHO  Windows komfortabel nutzen zu knnen, ist noch die "bliche"        
@ECHO  Installation unter Windows (mit dem Dateimanager) erforderlich      
@ECHO  (siehe Windows-Handbuch).                                           
@ECHO                                                                      
@ECHO                   Viel Spa mit WinSID wnschen                      
@ECHO                                                                      
@ECHO                          Manfred Friese                              
@ECHO                         Schneider Verlag                             
@ECHO 
GOTO ende

:abbruch
@ECHO Installation nicht vollstndig ausgefhrt

:ende
